# Bookshelf: list

Retrieves a list of public [Bookshelf resource](https://developers.google.com/books/docs/v1/reference/bookshelves) for the specified user.
[Try it now](https://developers.google.com/books/docs/v1/reference/bookshelves/list#try-it).

More information about user IDs can be found in the section [Google Books IDs](https://developers.google.com/books/docs/v1/using#ids).

## Request

### HTTP Request

```
GET https://www.googleapis.com/books/v1/users/userId/bookshelves
```

### Parameters

| Parameter Name | Value | Description |
|---|---|---|
| **Required Parameters** |||
| `userId` | `string` | ID of user for whom to retrieve bookshelves. |
| **Optional Parameters** |||
| `source` | `string` | String to identify the originator of this request. |

### Request Body

Do not supply a request body with this method.

## Response

If successful, this method returns a response body with the following structure:

```
{
  "kind": "books#bookshelves",
  "items": [
    bookshelf Resource
  ]
}
```

| Property Name | Value | Description | Notes |
|---|---|---|---|
| `kind` | `string` | Resource type. |   |
| `items[]` | `list` | A list of bookshelves. |   |

## Try It!


Use the explorer below to call this method on live data and see the response.